package cz.moneta.test.dsl.ufo.banka.pages.products.debit.card;

import cz.moneta.test.dsl.ufo.banka.pages.common.pages.*;
import cz.moneta.test.dsl.ufo.banka.pages.fon.TIS050_S001_SignerSelectionPage;
import cz.moneta.test.dsl.ufo.banka.pages.loans.CAS001_S001_ScoringPage;
import cz.moneta.test.dsl.ufo.banka.pages.main.PSP004_S001_PrintPage;
import cz.moneta.test.harness.support.web.WebFlow;

public interface NPK001_S001_DebitCardRequestPageTransitions extends WebFlow<NPK001_S001_DebitCardRequestPageTransitions> {
    TIS004_S002_SignerSelectionPage onSignerSelectionPage();

    TIS046_S001_DocumentsProvidedToClientPage onDocumentsProvided();

    TIS050_S001_SignerSelectionPage onSignerPage();

    TIS051_OBR001_ClientFinalSignatureConfirmationPage onFinalSignature();

    OBR001_S001_PrintInstructionPage onPrintInstructionPage();

    CAS001_S001_ScoringPage onScoringPage();

    NPK011_OBR001_001_CardHolderAdditionPage onAddHolderPage();

    PSP004_S001_PrintPage onPrintPage();

    ZZJ001_S001_MeetingRecordPage onMeetingRecordPage();
}